r4721 - developers/werner/bin

werner at docs.openmoko.org werner at docs.openmoko.org
Sat Oct 18 01:32:29 CEST 2008


Author: werner
Date: 2008-10-18 01:32:18 +0200 (Sat, 18 Oct 2008)
New Revision: 4721

Added:
   developers/werner/bin/ccache-setup
   developers/werner/bin/flashk
Log:
- flashk: handy script to update the kernel on GTA02 over SSH
- ccache-setup: set up ccache for local and cross builds



Added: developers/werner/bin/ccache-setup
===================================================================
--- developers/werner/bin/ccache-setup	                        (rev 0)
+++ developers/werner/bin/ccache-setup	2008-10-17 23:32:18 UTC (rev 4721)
@@ -0,0 +1,6 @@
+#!/bin/sh
+for n in gcc g++; do
+    ln -s /usr/bin/ccache /usr/local/bin/$n
+    ln -s /usr/bin/ccache /usr/local/bin/arm-angstrom-linux-gnueabi-$n
+done
+ln -s /usr/bin/ccache /usr/local/bin/cc


Property changes on: developers/werner/bin/ccache-setup
___________________________________________________________________
Name: svn:executable
   + *

Added: developers/werner/bin/flashk
===================================================================
--- developers/werner/bin/flashk	                        (rev 0)
+++ developers/werner/bin/flashk	2008-10-17 23:32:18 UTC (rev 4721)
@@ -0,0 +1,7 @@
+#!/bin/sh -ex
+# GTA02 only !!!!
+DEV=/dev/mtd3
+[ -r "$2" ] || exit
+ifconfig usb0 192.168.0.200 up
+scp $2 $1:
+ssh $1 "flash_eraseall $DEV && nandwrite -p $DEV `basename $2` && sync && sleep 1 && /sbin/reboot -f"


Property changes on: developers/werner/bin/flashk
___________________________________________________________________
Name: svn:executable
   + *




More information about the commitlog mailing list